SDL_BITSPERPIXEL(3)

NAME
SDL_BITSPERPIXEL - A macro to determine an SDL_PixelFormat

HEADER FILE
Defined in SDL3/SDL_pixels.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_BITSPERPIXEL(format) .BI (SDL_ISPIXELFORMAT_FOURCC(format)?0:(((format)>>8)&0xFF))

DESCRIPTION
Note that this macro double-evaluates its parameter, so do not use expressions with side-effects here.

FourCC formats will report zero here, as it rarely makes sense to measure them per-pixel.

RETURN VALUE
Returns the bits-per-pixel of format .

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_BYTESPERPIXEL(3)